{% extends "/admin/master.twig" %}

{% block title %}Dashboard - Classes{% endblock %}
{% block description %}Manage classes{% endblock %}

{% block header %}
    <script src="{{ asset('assets/js/list.min.js') }}"></script>
{% endblock %}

{% block body %}

    <div id="users">

        <div class="ui huge fluid action input">
            <input class="search" type="text" placeholder="Search...">
            <button class="ui icon sort button" data-sort="name">
                <i class="search icon"></i>
            </button>
        </div>

        {% if message is not empty %}
            <div class="ui timed success message">
                <i class="close icon"></i>
                <div class="header">
                    Success!
                </div>
                {{ message }}
            </div>
        {% endif %}

        <div class="ui styled fluid accordion list">

            {% for user in users %}
                <div>
                    <div class="title ui grid">
                        <div class="one wide halfpadded column">
                            <i class="big icons" data-tooltip="{{ user.name }}" data-position="left center">
                                <i class="grey user outline icon"></i>
                                {% if user.role.is_admin %}
                                    <i class='bottom right corner grey star icon'></i>
                                {% elseif user.role.is_author %}
                                    <i class='bottom right corner grey paragraph icon'></i>
                                {% endif %}
                            </i>
                        </div>

                        <div class="fourteen wide halfpadded column">
                            <h2 class="ui grey header s-name">
                                {{ user.name }}
                            </h2>
                        </div>

                        <div class="one wide right aligned halfpadded column">
                            <a class="ui right floated label s-id">{{ user.id }}</a>
                        </div>
                    </div>

                    <div class="bottom attached content">
                        <div class="ui grid transition hidden">

                            <div class="one wide column"></div>

                            <div class="eleven wide column">
                                <h3 class="ui gray header">{{ user.title }}</h3>
                            </div>

                            <div class="two wide halfpadded column">
                                <div class="ui mini action input">
                                    <input type="date" id="date" name="date"
                                           value="{{ "now"|date_modify("+1 week")|date("Y-m-d") }}">
                                    {% if user.muted != null %}
                                        <button class="ui icon button mute-btn" data-tooltip="Unmute"
                                                data-id="{{ user.id }}" data-action="unmute" id="mute">
                                            <i class="green microphone icon"></i>
                                        </button>
                                    {% else %}
                                        <button class="ui icon button mute-btn" data-tooltip="Mute"
                                                data-id="{{ user.id }}" data-action="mute" id="mute">
                                            <i class="microphone slash icon"></i>
                                        </button>
                                    {% endif %}
                                </div>
                            </div>

                            <div class="two wide halfpadded column">
                                <div class="ui right floated icon buttons">
                                    <a class="ui button edit-btn" data-tooltip="Edit" href="users/edit/{{ user.id }}">
                                        <i class="edit icon"></i>
                                    </a>
                                    <a class="ui button delete-btn" data-tooltip="Delete"
                                       href="?del={{ user.id }}&t={{ token }}">
                                        <i class="trash icon"></i>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            {% endfor %}

        </div>
    </div>

    <script>
        var list_options = {
            valueNames: ['s-name', 's-id', 's-role']
        };

        var userList = new List('users', list_options);
    </script>

{% endblock %}
